{$domain_tmp = str_replace('-', '_', str_replace(".", "", $domain))}
<script>
    function doAction{$domain_tmp} (){
        var inputs = document.querySelector("#enable-smtp{$domain_tmp}")
        var host{$domain_tmp} = "#host{$domain_tmp}"
        var port{$domain_tmp} = "#port{$domain_tmp}"
        var username{$domain_tmp} = "#username{$domain_tmp}"
        var password{$domain_tmp} = "#password{$domain_tmp}"
        var host = document.querySelector(host{$domain_tmp})
        var port = document.querySelector(port{$domain_tmp})
        var username = document.querySelector(username{$domain_tmp})
        var password = document.querySelector(password{$domain_tmp})
        host.removeAttribute("readonly")
        port.removeAttribute("readonly")
        username.removeAttribute("readonly")
        password.removeAttribute("readonly")
        if (!inputs.checked) {
            host.setAttribute("readonly", "true")
            port.setAttribute("readonly", "true")
            username.setAttribute("readonly", "true")
            password.setAttribute("readonly", "true")
        }
    }
</script>
</br>
<div class="form-group col">
    <div style="width:70%; float: left; display: block; text-align: left;">
        <legend>{$lang['Choose your email\'s features']}:</legend>
    </div>
    <div style="width:30%; float: right; display: block; text-align: right;" class="form-group">
        <form name="delete_domain" method="POST"
            action="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=mail">
            <input type="hidden" name="domain_for_setting" value="{$domain}">
            <input type="hidden" name="enable_letsencrypt_value" value="{$domain_value['SSL']}">

            {if $domain_value['SSL'] == 'yes'}
                <input type="checkbox" class="form-control-check" id="enable_letsencrypt" name="enable_letsencrypt"
                    value="yes" style="display: none;">
                <button onclick="loading()" class="btn btn-danger" type="submit" name="save_domain_setting"
                    value="save_domain_setting">
                    <span class="border-span">
                        <i class="fa fa-lock-open"></i>
                        {$lang['Disable SSL']}
                    </span>
                </button>
            {elseif $domain_value['SSL'] == 'no'}
                <input type="checkbox" class="form-control-check" id="enable_letsencrypt" name="enable_letsencrypt"
                    value="yes" style="display: none;" checked>
                <button onclick="loading()" class="btn btn-success" type="submit" name="save_domain_setting"
                    value="save_domain_setting">
                    <span class="border-span">
                        <i class="fa fa-lock"></i>
                        {$lang['Enable SSL']}
                    </span>
                </button>
            {/if}
        </form>
    </div>
</div>
<br><br>
<div class="">

    <div class="form-group">
        <form name="add_mail_domain" method="POST"
            action="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=mail">
            <div class="form-group">
                <p>
                    <input type="hidden" name="domain_for_setting" class="VALUE form-control" value="{$domain}">
                </p>
            </div>
            <div class="form-group">
                    <div class="form-group col">
                        <div style="width:50%; float: left; display: block; text-align: left;">
                            {if $record_value['ANTISPAM'] eq 'yes'}
                                <div>
                                    <input type="checkbox" id="antispam{$domain_tmp}" name="antispam" value="yes" checked>
                                    <label for="antispam{$domain_tmp}">{$lang['Antispam']}</label>
                                </div>
                            {else}
                                <div>
                                    <input type="checkbox" id="antispam{$domain_tmp}" name="antispam" value="yes">
                                    <label for="antispam{$domain_tmp}">{$lang['Antispam']}</label>
                                </div>
                            {/if}
                            {if $record_value['ANTIVIRUS'] eq 'yes'}
                                <div>
                                    <input type="checkbox" id="antivirus{$domain_tmp}" name="antivirus" value="yes" checked>
                                    <label for="antivirus{$domain_tmp}">{$lang['Antivirus']}</label>
                                </div>
                            {else}
                                <div>
                                    <input type="checkbox" id="antivirus{$domain_tmp}" name="antivirus" value="yes">
                                    <label for="antivirus{$domain_tmp}">{$lang['Antivirus']}</label>
                                </div>
                            {/if}
                        </div>
                        <div style="width:50%; float: right; display: block; text-align: left;" class="form-group">
                            {if $record_value['DKIM'] eq 'yes'}
                                <div>
                                    <input type="checkbox" id="dkim{$domain_tmp}" name="dkim" value="yes" checked>
                                    <label for="dkim{$domain_tmp}">{$lang['DKIM']}</label>
                                </div>
                            {else}
                                <div>
                                    <input type="checkbox" id="dkim{$domain_tmp}" name="dkim" value="yes">
                                    <label for="dkim{$domain_tmp}">{$lang['DKIM']}</label>
                                </div>
                            {/if}

                            {if $record_value['REJECT'] eq 'yes'}
                                <div>
                                    <input type="checkbox" id="reject-spam{$domain_tmp}" name="reject-spam" value="yes" checked>
                                    <label for="reject-spam{$domain_tmp}">{$lang['Reject Spam']}</label>
                                </div>
                            {else}
                                <div>
                                    <input type="checkbox" id="reject-spam{$domain_tmp}" name="reject-spam" value="yes">
                                    <label for="reject-spam{$domain_tmp}">{$lang['Reject Spam']}</label>
                                </div>
                            {/if}

                        </div>
                    </div>
            </div>
            <div class="form-group">
                <p>
                    {{$lang['Catch-All Email']}}:
                    <input type="text" id="email_for_catch_all{$domain_tmp}" name="email_for_catch_all" class="VALUE form-control"
                        placeholder="{{$lang['Enter Catch-All Email']}}: name@domain.tdl"
                        value="{$domain_value['CATCHALL']}">
                </p>
            </div>
            <div class="form-group text-center">
                <button onclick="loading()" class="btn btn-warning" type="submit" name="save-mail-domain-settings"
                    value="save-mail-domain-settings">
                    <span class="border-span">
                        <i class="fa fa-pen"></i>
                        {{$lang['Save mail domain setting']}}
                    </span>
                </button>
            </div>
        </form>
    </div>
    <hr>
    <div class="form-group">
        <details class="VALUE">
            <summary>
                {{$lang['Configure SMTP relay (press here)']}}
            </summary>
            <form name="delete_domain" method="POST"
                action="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=mail">
                <input type="hidden" name="domain_for_working" class="VALUE form-control" value="{{$domain}}">
                <fieldset>
                    <p>{$lang['Enable SMTP Configuration']}:</p>
                    <div id="load_data_smtp_relay_check_message_{$domain_tmp}">  {include file='modules/servers/puqHestiaCP/templates/include/min_loader.tpl'} </div>
                </fieldset>
                <div class="form-group col">
                    <div style="width:80%; float: left; display: block; text-align: left;">


                        <p>
                            HOST:

                            <input type="text" id="host{$domain_tmp}" name="host" class="VALUE form-control" placeholder="smtp.gmail.com"
                                value="{$list_about_mail_domain[$domain]['U_SMTP_RELAY_HOST']}" {if $list_about_mail_domain[$domain]['U_SMTP_RELAY'] != 'true'}readonly{/if}>
                        </p>

                    </div>
                    <div style="width:20%; float: right; display: block; text-align: right;" class="form-group">


                        <p>
                            Port:

                            <input type="text" id="port{$domain_tmp}" name="port" class="VALUE form-control" placeholder="465"
                                {if $list_about_mail_domain[$domain]['U_SMTP_RELAY'] eq 'true'}
                                value="{$list_about_mail_domain[$domain]['U_SMTP_RELAY_PORT']}" {else} value="465"
                                {/if} {if $list_about_mail_domain[$domain]['U_SMTP_RELAY'] != 'true'}readonly{/if}>
                        </p>

                    </div>
                </div>


                <p>
                    {$lang['Username']}:

                    <input type="text" id="username{$domain_tmp}" name="username" class="VALUE form-control" placeholder={{$lang['Username']}}
                        value="{$list_about_mail_domain[$domain]['U_SMTP_RELAY_USERNAME']}" {if $list_about_mail_domain[$domain]['U_SMTP_RELAY'] != 'true'}readonly{/if}>
                </p>
                <p>
                    {$lang['Password']}:

                    <input type="password" id="password{$domain_tmp}" name="password" class="VALUE form-control" placeholder={{$lang['Password']}} {if $list_about_mail_domain[$domain]['U_SMTP_RELAY'] != 'true'}readonly{/if}>
                </p>
                <div class="text-center margin-bottom margin-top">
                    <p>
                        <button onclick="loading()" class="btn btn-warning" type="submit" name="save_smtp"
                            value="save_smtp">
                            <span class="border-span">
                                <i class="fa fa-pen"></i>
                                {$lang['Save SMTP relay settings']}
                            </span>
                        </button>
                    </p>
                </div>
            </form>
        </details>
    </div>
    <hr>
    <div class="form-group col">
        <div class="form-group text-center">
            <button data-dismiss="modal" class="btn btn-danger">
                <span class="border-span">
                    <i class="fa fa-share"></i>
                    {$lang['Сlose']}
                </span>
            </button>
        </div>

    </div>
</div>
<script>
    $(document).ready(function() {
        var domain = '{$domain}';
        var start = 0;
        var limit = 1000;
        var serviceid = {$get['id']};
        var action = 'inactive';
        
        var window_popup = document.querySelector('#edit_domians{$domain_tmp}');
        {
            const elementToObserve = document.getElementById('edit_domians{$domain_tmp}');
            const observer = new MutationObserver((mutations) => {
                mutations.forEach((mutation) => {
                    if (mutation.attributeName === 'style' && elementToObserve.style.display ===
                        'block') {
                        var settings = 'settings';
                        load_settings_check_data(domain, start, serviceid, settings);
                    }
                });
            });
            observer.observe(elementToObserve, { attributes: true });
        }
        var smtp_relay_yes{$domain_tmp} = `                        <div>
                            <input type="checkbox" onclick="doAction{$domain_tmp}()" id="enable-smtp{$domain_tmp}" name="enable-smtp" value="yes" checked>
                            <label for="enable-smtp{$domain_tmp}">{$lang['Enable SMTP']}</label>
                        </div>`;
        var smtp_relay_no{$domain_tmp} = `                        <div>
                            <input type="checkbox" onclick="doAction{$domain_tmp}()" id="enable-smtp{$domain_tmp}" name="enable-smtp" value="yes">
                            <label for="enable-smtp{$domain_tmp}">{$lang['Enable SMTP']}</label>
                        </div>`;
        function load_settings_check_data(domain, start, serviceid, settings) {
            $.ajax({
                    url: "modules/servers/puqHestiaCP/lib/fetch.php",
                    method: "POST",
                    data: { domain: domain, start: start, serviceid: serviceid , settings:settings},
                    cache: false,
                    success: function(data) {
                        var obj = JSON.parse(data);
                    if (obj['{$domain}']['all']['U_SMTP_RELAY'] == 'true') {
                        $('#load_data_smtp_relay_check_message_{$domain_tmp}').html(smtp_relay_yes{$domain_tmp});
                    }
                    if (obj['{$domain}']['all']['U_SMTP_RELAY'] == "false" || obj['{$domain}']['all']['U_SMTP_RELAY'] == "") {
                        $('#load_data_smtp_relay_check_message_{$domain_tmp}').html(smtp_relay_no{$domain_tmp});
                    }
                        $('#host{$domain_tmp}').val(obj['{$domain}']['all']['U_SMTP_RELAY_HOST']);
                        $('#port{$domain_tmp}').val(obj['{$domain}']['all']['U_SMTP_RELAY_PORT']);
                        $('#username{$domain_tmp}').val(obj['{$domain}']['all']['U_SMTP_RELAY_USERNAME']);
                        doAction{$domain_tmp} ();
                    if (data == '') {
                        action = 'active';
                    } else {
                        action = "inactive";
                }
            }
        });
    }
});
</script>